Up

# NSUUID class documentation

### Authors

Graham Lee (`graham@iamleeg.com`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2013 Free Software Foundation, Inc.

# Software documentation for the NSUUID class

## NSUUID : NSObject

> Declared in:
>   Foundation/NSUUID.h

> Conforms to:
>   NSCopying
>   NSCoding

Availability: MacOS-X 10.8.0
A representation of universally unique identifiers (UUIDs).
Method summary

- +UUID
- -UUIDString
- -getUUIDBytes:
- -initWithUUIDBytes:
- -initWithUUIDString:

### UUID

+ (instancetype) UUID;
Availability: MacOS-X 10.8.0
Description forthcoming.

### UUIDString

- (NSString*) UUIDString;
Availability: MacOS-X 10.8.0
Description forthcoming.

### getUUIDBytes:

- (void) getUUIDBytes: (gsuuid_t)bytes;
Availability: MacOS-X 10.8.0
Description forthcoming.

### initWithUUIDBytes:

- (instancetype) initWithUUIDBytes: (gsuuid_t)bytes;
Availability: MacOS-X 10.8.0
Description forthcoming.

### initWithUUIDString:

- (instancetype) initWithUUIDString: (NSString*)string;
Availability: MacOS-X 10.8.0
Description forthcoming.

Up